summaryrefslogtreecommitdiff
path: root/.github/workflows/archlinux.sh
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-03-12 17:32:04 +0100
committerGitHub <[email protected]>2026-03-12 16:32:04 +0000
commit04a09f1e0bb7e95cbb3b7cddd732264860a93f97 (patch)
treee0ec71526cc7c5f05dba8c3cfbee63ea62ee56f6 /.github/workflows/archlinux.sh
parentb592c9955bf8be6a1bca37c606c4095dc1b984fc (diff)
downloadmate-backgrounds-04a09f1e0bb7e95cbb3b7cddd732264860a93f97.tar.bz2
mate-backgrounds-04a09f1e0bb7e95cbb3b7cddd732264860a93f97.tar.xz
ci: migrate from Travis CI to GitHub Actions
Replace Travis CI configuration with GitHub Actions workflows. Add CI build workflow for Debian, Fedora, Ubuntu, and Archlinux. Add release workflow for automated GitHub releases on tags. Add dependabot configuration for GHA pin updates. Remove obsolete .travis.yml. ci: add missing packages and downstream links to CI scripts remove .build.yml
Diffstat (limited to '.github/workflows/archlinux.sh')
-rwxr-xr-x.github/workflows/archlinux.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
new file mode 100755
index 0000000..bdae0b8
--- /dev/null
+++ b/.github/workflows/archlinux.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Archlinux
+requires=(
+ ccache # Use ccache to speed up build
+ clang # Build with clang on Archlinux
+ meson # Used for meson build
+)
+
+# https://gitlab.archlinux.org/archlinux/packaging/packages/mate-backgrounds
+requires+=(
+ gcc
+ git
+ make
+ mate-common
+ which
+)
+
+infobegin "Update system"
+pacman --noconfirm -Syu
+infoend
+
+infobegin "Install dependency packages"
+pacman --noconfirm -S ${requires[@]}
+infoend